For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assignments

Adds a new Assignment.

post

Adds a new Assignment.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new assignment. Should be unique within all assignments.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

assetTypeIdstring · uuidRequired

The ID of the asset type corresponding to the assignment

statusIdsstring · uuid[] · min: 1 · max: 2147483647Required

The list of IDs of the statuses. The first element in the list is used as default status id.

validationRuleIdsstring · uuid[]Optional

The list of IDs of the validation rules

dataQualityRuleIdsstring · uuid[]Optional

The list of IDs of the data quality rules

domainTypeIdsstring · uuid[]Optional

The list of IDs of the domain types

defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status for the asset type. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

scopeIdstring · uuidOptional

The ID of the scope the assignment corresponds to

Responses
201

Assignment successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

Example: 00000000-0000-0000-0000-000000005009
post/assignments

Removes the Assignment identified by the given id.

delete

Removes the Assignment identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
assignmentIdstring · uuidRequired

The unique identifier of the Assignment.

Responses
200

Assignment removed.

No content

delete/assignments/{assignmentId}

No content

Changes the assignment with the information that is provided in the request.

patch

Changes the assignment with the information that is provided in the request. Only properties that are specified in the request and are not NULL are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
assignmentIdstring · uuidRequired

The unique identifier of the Assignment.

Body
statusIdsstring · uuid[]Optional

The list of IDs of the statuses. The first element in the list is used as default status id.

validationRuleIdsstring · uuid[]Optional

The list of IDs of the validation rules

dataQualityRuleIdsstring · uuid[]Optional

The list of IDs of the data quality rules

domainTypeIdsstring · uuid[]Optional

The list of IDs of the domain types

defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status for the asset type. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

scopeIdstring · uuidOptionalDeprecated

The ID of the scope the assignment corresponds to. The scopeId is ignored, and will be removed in the future.

Responses
200

Assignment successfully changed.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

Example: 00000000-0000-0000-0000-000000005009
patch/assignments/{assignmentId}
200

Assignment successfully changed.

Find the assignments where a given resource is assigned.

get

Find the assignments where a given resource is assigned.

Authorizations
AuthorizationstringRequired
Query parameters
resourceIdstring · uuidOptional

The ID of the resource to which the assignment applies.

resourceTypestring · enumOptional

The type of the resource that is assigned. Deprecated in favour of resourceDiscriminator. If both are present, the value of resourceDiscriminator will be used.

Possible values:
resourceDiscriminatorstringOptional

The discriminator of the resource that is assigned.

Responses
200

Assignments found

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

Example: 00000000-0000-0000-0000-000000005009
get/assignments/forResource

Returns the Assignment identified by the given Asset.

get

Returns the Assignment identified by the given Asset.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The unique identifier of the Asset.

Responses
200

Assignment found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

Example: 00000000-0000-0000-0000-000000005009
get/assignments/asset/{assetId}

Returns Assignments for given asset type id.

get

Returns Assignments for given asset type id.

Authorizations
AuthorizationstringRequired
Path parameters
assetTypeIdstring · uuidRequired

The unique identifier of the AssetType.

Responses
200

Assignments found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
defaultStatusIdstring · uuidOptionalDeprecated

The ID of the default status. Deprecated : this property is ignored. The default status is the first status in the list of assigned statuses of the assignment.

Example: 00000000-0000-0000-0000-000000005009
get/assignments/assetType/{assetTypeId}
200

Assignments found.

Returns available asset types for domain identified by given id.

get

Returns available asset types for domain identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
domainIdstring · uuidRequired

The unique identifier of the Domain.

Responses
200

AssetTypes found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the asset type.

Example: "TechnicalReport_C"
displayNameEnabledbooleanOptional
ratingEnabledbooleanOptional
finalTypebooleanOptional

Whether the ability to create child asset types and scoped assignments for this asset type is locked.

lockStatusesbooleanOptional

Whether the ability to add custom statuses to the assignments of this asset type is locked.

productstringOptional

The product to which this asset type is linked.

get/assignments/domain/{domainId}/assetTypes
200

AssetTypes found.

Returns available attribute types for asset identified by given id.

get

Returns available attribute types for asset identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The unique identifier of the Asset.

Responses
200

AttributeTypes found.

application/json
attributeTypeDiscriminatorstringOptional

the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.

publicIdstringOptional

The public id of the attribute type.

Example: "ApprovalDate_C"
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
namestringOptional

The name of the resource.

Example: Test name
resourceTypestring · enumOptionalDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

idstring · uuidOptional

The id of the represented object (entity).

get/assignments/asset/{assetId}/attributeTypes
200

AttributeTypes found.

Returns the available ComplexRelationTypes for the Asset identified by the given id.

get

Returns the available ComplexRelationTypes for the Asset identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The unique identifier of the Asset.

Responses
200

ComplexRelationTypes found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the complex relation type.

Example: "ReportCollection_C"
get/assignments/asset/{assetId}/complexRelationTypes
200

ComplexRelationTypes found.

Returns the available RelationTypes for the Asset identified by the given id.

get

Returns the available RelationTypes for the Asset identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
assetIdstring · uuidRequired

The unique identifier of the Asset.

Responses
200

RelationTypes found.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
publicIdstringOptional

The public id of the relation type.

Example: "TechnicalReportIsWrittenByAuthor_C"
rolestringOptional

The name of the role that source plays in the relation.

coRolestringOptional

The name of the role that target plays in the relation.

descriptionstringOptional

The description of the relation type.

get/assignments/asset/{assetId}/relationTypes
200

RelationTypes found.

Last updated

Was this helpful?